## plog 1.1.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plog VERSION 1.1.10 LANGUAGES CXX)

# check if building as a stand-alone project
if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    set(IS_TOPLEVEL_PROJECT TRUE)
else()
    set(IS_TOPLEVEL_PROJECT FALSE)
endif()

# options
option(PLOG_BUILD_SAMPLES "Build ${PROJECT_NAME} samples" ${IS_TOPLEVEL_PROJECT})
option(PLOG_INSTALL "Generate ${PROJECT_NAME} install target" ${IS_TOPLEVEL_PROJECT})
option(PLOG_BUILD_TESTS "Build tests" OFF)

# make sure install paths work on all platforms
include(GNUInstallDirs)

add_library(${PROJECT_NAME} INTERFACE)
add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

target_include_directories(${PROJECT_NAME}
    INTERFACE
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

if(ANDROID)
    target_link_libraries(${PROJECT_NAME} INTERFACE log)
endif()

if(PLOG_BUILD_SAMPLES)
    # add a pseudo-project to make plog headers visible in IDE
    file(GLOB_RECURSE ${PROJECT_NAME}_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/include/*.h)
    add_custom_target(${PROJECT_NAME}-headers SOURCES ${${PROJECT_NAME}_HEADERS})
    set_target_properties(${PROJECT_NAME}-headers PROPERTIES FOLDER Include)

    # add samples
    add_subdirectory(samples)
endif()

if(PLOG_BUILD_TESTS)
    enable_testing()
    add_subdirectory(test)
endif()

if(PLOG_INSTALL)
    install(
        TARGETS ${PROJECT_NAME}
        EXPORT ${PROJECT_NAME}Config
    )

    install(
        EXPORT ${PROJECT_NAME}Config
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
        NAMESPACE ${PROJECT_NAME}::
    )

    install(
        DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/${PROJECT_NAME}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
    )

    install(
        FILES
            ${CMAKE_CURRENT_SOURCE_DIR}/README.md
            ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE
        DESTINATION ${CMAKE_INSTALL_DOCDIR}
    )

    include(CMakePackageConfigHelpers)
    write_basic_package_version_file(
        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
        COMPATIBILITY AnyNewerVersion
    )

    install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
    )
endif()

=== samples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

if(POLICY CMP0063) #Honor visibility properties for all target types
    cmake_policy(SET CMP0063 NEW)
endif()

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

macro(checkObjCXX)
    file(WRITE "${CMAKE_BINARY_DIR}/CMakeFiles/dummy.mm" "int main(){return 0;}\n")
    execute_process(
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/CMakeFiles
        COMMAND ${CMAKE_CXX_COMPILER} dummy.mm
        RESULT_VARIABLE result
        ERROR_QUIET
        OUTPUT_QUIET
    )
    file(REMOVE "${CMAKE_BINARY_DIR}/CMakeFiles/dummy.mm")

    if("${result}" STREQUAL "0")
        set(CMAKE_OBJCXX_AVAILABLE 1)
        message("-- ObjectiveC++ support is detected")
    endif()
endmacro()

project(Samples)

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_COMPILER_IS_CLANGXX 1)
endif()

if(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4 /WX")
    string(REPLACE "/RTC1" "" CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
elseif(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wconversion -Wnon-virtual-dtor -Wundef -pedantic -Werror")
    set(CMAKE_CXX_VISIBILITY_PRESET hidden)
    set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
    checkObjCXX()
    if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 6.0)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
    endif()
    if(CMAKE_COMPILER_IS_CLANGXX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnewline-eof")
    endif()
endif()

add_subdirectory(Android)
add_subdirectory(AscDump)
add_subdirectory(Chained)
add_subdirectory(ColorConsole)
add_subdirectory(CustomAppender)
add_subdirectory(CustomConverter)
add_subdirectory(CustomFormatter)
add_subdirectory(CustomType)
add_subdirectory(CXX11)
add_subdirectory(CXX17)
add_subdirectory(DebugOutput)
add_subdirectory(Demo)
add_subdirectory(DisableLogging)
add_subdirectory(DynamicAppender)
add_subdirectory(EventLog)
add_subdirectory(Facilities)
add_subdirectory(Hello)
add_subdirectory(HexDump)
add_subdirectory(Library)
add_subdirectory(MultiAppender)
add_subdirectory(MultiInstance)
add_subdirectory(NotShared)
add_subdirectory(ObjectiveC)
add_subdirectory(Path)
add_subdirectory(Performance)
add_subdirectory(PrintVar)
add_subdirectory(SetFileName)
add_subdirectory(Shared)
add_subdirectory(SkipNativeEOL)
add_subdirectory(UtcTime)
add_subdirectory(Utf8Everywhere)

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(PlogTest CXX)

add_executable(${PROJECT_NAME}
    doctest.h
    Conditional.cpp
    TestAppender.h
    Main.cpp
    Printf.cpp
    SimpleTypes.cpp
    StringTypes.cpp
    StdManipulators.cpp
    StdContainers.cpp
)
target_link_libraries(${PROJECT_NAME} plog::plog)
set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-DDOCTEST_CONFIG_NO_POSIX_SIGNALS")
set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER Test)

add_test(${PROJECT_NAME} ${PROJECT_NAME})

=== samples/CXX11/CMakeLists.txt ===
if (NOT CMAKE_VERSION VERSION_LESS 3.3.0)
    cmake_minimum_required(VERSION 3.3)

    if(cxx_std_11 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
        add_executable(CXX11 Main.cpp)
        target_link_libraries(CXX11 plog::plog)
        set_target_properties(CXX11 PROPERTIES FOLDER Samples CXX_STANDARD 11 CXX_STANDARD_REQUIRED ON)
    endif()
endif()

=== samples/CXX17/CMakeLists.txt ===
if (NOT CMAKE_VERSION VERSION_LESS 3.3.0)
    cmake_minimum_required(VERSION 3.3)

    # Unfortunately cxx_std_17 in CMAKE_CXX_COMPILE_FEATURES is not reliable, so check include files
    include(CheckIncludeFileCXX)
    CHECK_INCLUDE_FILE_CXX("string_view" HAS_STRING_VIEW)
    CHECK_INCLUDE_FILE_CXX("filesystem" HAS_FILESYSTEM)

    if(HAS_STRING_VIEW AND HAS_FILESYSTEM)
        add_executable(CXX17 Main.cpp)
        target_link_libraries(CXX17 plog::plog)
        set_target_properties(CXX17 PROPERTIES FOLDER Samples CXX_STANDARD 17 CXX_STANDARD_REQUIRED ON)
        if (CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.0)
            target_link_libraries(CXX17 stdc++fs)
        endif()
    endif()
endif()

=== samples/Chained/CMakeLists.txt ===
# some systems have no shared libraries support, so check it
if(NOT DEFINED TARGET_SUPPORTS_SHARED_LIBS OR TARGET_SUPPORTS_SHARED_LIBS)
    add_executable(ChainedApp ChainedApp/Main.cpp)
    target_link_libraries(ChainedApp ChainedLib plog)
    set_target_properties(ChainedApp PROPERTIES FOLDER Samples/Chained)
    # set PLOG to local, so instances will not be shared across modules
    target_compile_definitions(ChainedApp PRIVATE PLOG_LOCAL)

    add_library(ChainedLib SHARED ChainedLib/Main.cpp)
    target_link_libraries(ChainedLib plog)
    set_target_properties(ChainedLib PROPERTIES FOLDER Samples/Chained)
    # set PLOG to local, so instances will not be shared across modules
    target_compile_definitions(ChainedLib PRIVATE PLOG_LOCAL)
endif()

=== samples/CustomConverter/CMakeLists.txt ===
add_executable(CustomConverter Main.cpp)
target_link_libraries(CustomConverter plog)
set_target_properties(CustomConverter PROPERTIES FOLDER Samples)

=== samples/CustomType/CMakeLists.txt ===
add_executable(CustomType Main.cpp)
target_link_libraries(CustomType plog)
set_target_properties(CustomType PROPERTIES FOLDER Samples)

=== samples/Demo/CMakeLists.txt ===
add_executable(Demo Main.cpp MyClass.h MyClass.cpp Customer.h)
target_link_libraries(Demo plog)
set_target_properties(Demo PROPERTIES FOLDER Samples)

if(MSVC AND NOT (MSVC_VERSION LESS 1700)) # Visual Studio 2012 and higher
    add_executable(DemoManaged Main.cpp MyClass.h MyClass.cpp Customer.h)
    target_link_libraries(DemoManaged plog)
    set_property(TARGET DemoManaged PROPERTY COMPILE_FLAGS "/clr /EHa")
    set_target_properties(DemoManaged PROPERTIES FOLDER Samples CXX_STANDARD 17 CXX_STANDARD_REQUIRED OFF) # the latest standard supported by CLR is C++17
endif()

if(NOT WIN32)
    add_executable(DemoWchar Main.cpp MyClass.h MyClass.cpp Customer.h)
    target_link_libraries(DemoWchar plog)
    set_target_properties(DemoWchar PROPERTIES COMPILE_FLAGS "-DPLOG_ENABLE_WCHAR_INPUT=1")
    set_target_properties(DemoWchar PROPERTIES FOLDER Samples)

    if(APPLE)
        target_link_libraries(DemoWchar -liconv)
    endif()
endif()

=== samples/DisableLogging/CMakeLists.txt ===
add_executable(DisableLogging Main.cpp)
target_link_libraries(DisableLogging plog)
set_target_properties(DisableLogging PROPERTIES FOLDER Samples)

=== samples/Hello/CMakeLists.txt ===
add_executable(Hello Main.cpp)
target_link_libraries(Hello plog)
set_target_properties(Hello PROPERTIES FOLDER Samples)

=== samples/MultiInstance/CMakeLists.txt ===
add_executable(MultiInstance Main.cpp)
target_link_libraries(MultiInstance plog)
set_target_properties(MultiInstance PROPERTIES FOLDER Samples)

=== debian/changelog ===
plog (1.1.10-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 12 Apr 2025 11:29:56 +0200

plog (1.1.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1098410)

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 22 Feb 2025 16:52:34 +0100

=== debian/watch ===
version=4

opts="pgpmode=none" \
https://github.com/SergiusTheBest/plog/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz \
  debian uupdate

## plog 1.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
-cmake_minimum_required(VERSION 3.0)
+if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
+    cmake_minimum_required(VERSION 3.0)
+else()
+    cmake_minimum_required(VERSION 3.27)
+endif()
 
-project(plog VERSION 1.1.10 LANGUAGES CXX)
+project(plog VERSION 1.1.11 LANGUAGES CXX)
 
 # check if building as a stand-alone project
 if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)

=== samples/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-cmake_minimum_required(VERSION 3.0)
+if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
+    cmake_minimum_required(VERSION 3.0)
+else()
+    cmake_minimum_required(VERSION 3.27)
+endif()
 
 if(POLICY CMP0063) #Honor visibility properties for all target types
     cmake_policy(SET CMP0063 NEW)
@@ -61,9 +65,11 @@
 add_subdirectory(DynamicAppender)
 add_subdirectory(EventLog)
 add_subdirectory(Facilities)
+add_subdirectory(FreeRTOS)
 add_subdirectory(Hello)
 add_subdirectory(HexDump)
 add_subdirectory(Library)
+add_subdirectory(MessagePrefix)
 add_subdirectory(MultiAppender)
 add_subdirectory(MultiInstance)
 add_subdirectory(NotShared)

=== test/CMakeLists.txt ===
if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
    cmake_minimum_required(VERSION 3.1)
else()
    cmake_minimum_required(VERSION 3.27)
endif()

project(PlogTest CXX)

#
# Specify test sources
#

set(SOURCES
    CastToString.cpp
    Common.h
    Conditional.cpp
    TestAppender.h
    Main.cpp
    MessagePrefix.cpp
    NullCharPointer.cpp
    Path.cpp
    Printf.cpp
    SimpleTypes.cpp
    StringTypes.cpp
    StdContainers.cpp
    StdManipulators.cpp
    StdStreamable.cpp
)

#
# Check wchar_t platform support
#

include(CheckTypeSize)
CHECK_TYPE_SIZE(wchar_t PLOG_SIZEOF_WCHAR)

#
# Test creation functions to avoid code duplication
#

function(plog_add_test _target)
    add_executable(${_target} ${SOURCES})

    target_link_libraries(${_target} plog::plog)
    target_compile_definitions(${_target} PRIVATE DOCTEST_CONFIG_NO_POSIX_SIGNALS DOCTEST_CONFIG_NO_MULTITHREADING)
    set_target_properties(${_target} PROPERTIES FOLDER Test)

    # Add std::filesystem support library for GCC
    if(CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.0)
        target_link_libraries(${_target} stdc++fs)
    endif()

    # Enable conformance mode to be more strict
    if(MSVC AND NOT (MSVC_VERSION LESS 1900)) # Visual Studio 2015 and higher
        target_compile_options(${_target} PRIVATE "/permissive-")
    endif()

    add_test(${_target} ${_target})
endfunction()

function(plog_add_test_utf8 _target)
    if(MSVC AND NOT (MSVC_VERSION LESS 1900)) # Visual Studio 2015 and higher
        plog_add_test(${_target})
        target_compile_options(${_target} PRIVATE "/utf-8")
    endif()
endfunction()

function(plog_add_test_wchar _target)
    if(NOT WIN32 AND NOT BSD AND PLOG_SIZEOF_WCHAR) # FIXME: for some reason wchar_t is not working on BSD
        plog_add_test(${_target})
        target_compile_definitions(${_target} PRIVATE PLOG_ENABLE_WCHAR_INPUT=1)

        if(APPLE)
            target_link_libraries(${_target} -liconv)
        endif()
    endif()
endfunction()

#
# Create a basic test with default compiler features
#

plog_add_test(${PROJECT_NAME})

#
# Create a test for Utf8Everywhere mode with default compiler features
#

plog_add_test_utf8(${PROJECT_NAME}_utf8)

#
# Create a test for wchar input with default compiler features
#

plog_add_test_wchar(${PROJECT_NAME}_wchar)


#
# Check if running a descent version of CMake and enable it
#

if(CMAKE_VERSION VERSION_LESS 3.8.0)
    return()
elseif(${CMAKE_VERSION} VERSION_LESS 3.27.0)
    cmake_policy(VERSION 3.8)
endif()

set(PLOG_CXX_STANDARDS_LIST LIST cxx_std_11 cxx_std_14 cxx_std_17 cxx_std_20 cxx_std_23)

function(plog_get_latest_cxx_std _output)
    foreach(cxx_std IN ITEMS ${PLOG_CXX_STANDARDS_LIST})
        if(${cxx_std} IN_LIST CMAKE_CXX_COMPILE_FEATURES)
            set(${_output} ${cxx_std} PARENT_SCOPE)
        endif()
    endforeach()
endfunction()

plog_get_latest_cxx_std(PLOG_LATEST_CXX_STD)

function(plog_set_target_cxx_standard _target _cxx_std)
    if(TARGET ${_target})
        target_compile_features(${_target} PRIVATE ${_cxx_std})
    endif()
endfunction()

#
# Create basic tests for different C++ Standard versions
#

foreach(cxx_std IN ITEMS ${PLOG_CXX_STANDARDS_LIST})
    if(${cxx_std} IN_LIST CMAKE_CXX_COMPILE_FEATURES)
        plog_add_test(${PROJECT_NAME}_${cxx_std})
        plog_set_target_cxx_standard(${PROJECT_NAME}_${cxx_std} ${cxx_std})
    endif()
endforeach()

#
# Create a test for Utf8Everywhere mode with the latest C++ Standard
#

if(PLOG_LATEST_CXX_STD)
    plog_add_test_utf8(${PROJECT_NAME}_${PLOG_LATEST_CXX_STD}_utf8)
    plog_set_target_cxx_standard(${PROJECT_NAME}_${PLOG_LATEST_CXX_STD}_utf8 ${PLOG_LATEST_CXX_STD})
endif()

#
# Create a test for wchar input with the latest C++ Standard
#

if(PLOG_LATEST_CXX_STD)
    plog_add_test_wchar(${PROJECT_NAME}_${PLOG_LATEST_CXX_STD}_wchar)
    plog_set_target_cxx_standard(${PROJECT_NAME}_${PLOG_LATEST_CXX_STD}_wchar ${PLOG_LATEST_CXX_STD})
endif()

=== samples/Android/CMakeLists.txt ===
if(ANDROID)
    add_library(AndroidJNI SHARED AndroidJNI/Main.cpp)
    target_link_libraries(AndroidJNI plog)

    add_executable(AndroidNative AndroidNative/Main.cpp)
    target_link_libraries(AndroidNative plog)
else()
    add_custom_target(AndroidJNI SOURCES AndroidJNI/Main.cpp)
    add_custom_target(AndroidNative SOURCES AndroidNative/Main.cpp)
endif()

set_target_properties(AndroidJNI PROPERTIES FOLDER Samples/Android)
set_target_properties(AndroidNative PROPERTIES FOLDER Samples/Android)

=== samples/AscDump/CMakeLists.txt ===
add_executable(AscDump Main.cpp)
target_link_libraries(AscDump plog)
set_target_properties(AscDump PROPERTIES FOLDER Samples)

=== samples/CXX11/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-if (NOT CMAKE_VERSION VERSION_LESS 3.3.0)
-    cmake_minimum_required(VERSION 3.3)
+if(NOT CMAKE_VERSION VERSION_LESS 3.3.0)
+    if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
+        cmake_minimum_required(VERSION 3.3)
+    else()
+        cmake_minimum_required(VERSION 3.27)
+    endif()
 
     if(cxx_std_11 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
         add_executable(CXX11 Main.cpp)

=== samples/CXX17/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-if (NOT CMAKE_VERSION VERSION_LESS 3.3.0)
-    cmake_minimum_required(VERSION 3.3)
+if(NOT CMAKE_VERSION VERSION_LESS 3.3.0)
+    if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
+        cmake_minimum_required(VERSION 3.3)
+    else()
+        cmake_minimum_required(VERSION 3.27)
+    endif()
 
     # Unfortunately cxx_std_17 in CMAKE_CXX_COMPILE_FEATURES is not reliable, so check include files
     include(CheckIncludeFileCXX)

=== samples/ColorConsole/CMakeLists.txt ===
add_executable(ColorConsole Main.cpp)
target_link_libraries(ColorConsole plog)
set_target_properties(ColorConsole PROPERTIES FOLDER Samples)

=== samples/CustomAppender/CMakeLists.txt ===
add_executable(CustomAppender Main.cpp)
target_link_libraries(CustomAppender plog)
set_target_properties(CustomAppender PROPERTIES FOLDER Samples)

=== samples/CustomFormatter/CMakeLists.txt ===
add_executable(CustomFormatter Main.cpp)
target_link_libraries(CustomFormatter plog)
set_target_properties(CustomFormatter PROPERTIES FOLDER Samples)

=== samples/DebugOutput/CMakeLists.txt ===
if(WIN32)
    add_executable(DebugOutput Main.cpp)
    target_link_libraries(DebugOutput plog)
    set_target_properties(DebugOutput PROPERTIES FOLDER Samples)
endif()

=== samples/Demo/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,8 @@
 if(MSVC AND NOT (MSVC_VERSION LESS 1700)) # Visual Studio 2012 and higher
     add_executable(DemoManaged Main.cpp MyClass.h MyClass.cpp Customer.h)
     target_link_libraries(DemoManaged plog)
-    set_property(TARGET DemoManaged PROPERTY COMPILE_FLAGS "/clr /EHa")
+    set_property(TARGET DemoManaged PROPERTY COMPILE_FLAGS "/EHa")
+    set_property(TARGET DemoManaged PROPERTY COMMON_LANGUAGE_RUNTIME "")
     set_target_properties(DemoManaged PROPERTIES FOLDER Samples CXX_STANDARD 17 CXX_STANDARD_REQUIRED OFF) # the latest standard supported by CLR is C++17
 endif()

=== debian/changelog ===
plog (1.1.11-1) unstable; urgency=low

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 19 Aug 2025 10:14:27 +0200

=== debian/control ===
Source: plog
Section: libdevel
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.1
Homepage: https://github.com/SergiusTheBest/plog
Vcs-Browser: https://salsa.debian.org/debian/plog
Vcs-Git: https://salsa.debian.org/debian/plog.git

Package: libplog-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ header-only logging library
 Plog is a C++ logging library that is designed to be as simple,
 small and flexible as possible. It is created as an alternative
 to existing large libraries and provides some unique features as
 CSV log format and wide string support.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DPLOG_BUILD_TESTS=ON -DPLOG_BUILD_SAMPLES=FALSE

=== debian/tests/control ===
Tests: cmake
Depends: @, cmake

Tests: libplog-dev
Depends: @, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="pgpmode=none" \
https://github.com/SergiusTheBest/plog/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
